Edit an existing address
Edit an existing address on the shopper's account. This does not edit addresses that are already associated with other resources, such as transactions or shipments.
Authorization
oauth bolt.account.manageapi-key In: header
Scope: bolt.account.manage
In: header
Path Parameters
The ID of the address to edit
Header Parameters
The publicly shareable identifier used to identify your Bolt merchant division.
A unique identifier for a shopper's device, generated by Bolt. The value is retrieved with Bolt.state.merchantClientId in your frontend context, per-shopper. This header is required for proper attribution of this operation to your analytics reports. Omitting this header may result in incorrect statistics.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
An address saved on an account, i.e. a physical address plus any additional account-specific metadata.
Response Body
application/json
application/json
curl -X PUT "https://example.com/account/addresses/D4g3h5tBuVYK9" \ -H "X-Publishable-Key: string" \ -H "Content-Type: application/json" \ -d '{ "first_name": "Alice", "last_name": "Baker", "company": "ACME Corporation", "street_address1": "535 Mission St, Ste 1401", "street_address2": "c/o Shipping Department", "locality": "San Francisco", "postal_code": "94105", "region": "CA", "country_code": "US", "email": "alice@example.com", "phone": "+14155550199", "is_default": true }'{ "id": "D4g3h5tBuVYK9", "first_name": "Alice", "last_name": "Baker", "company": "ACME Corporation", "street_address1": "535 Mission St, Ste 1401", "street_address2": "c/o Shipping Department", "locality": "San Francisco", "postal_code": "94105", "region": "CA", "country_code": "US", "email": "alice@example.com", "phone": "+14155550199", "is_default": true}Delete an existing address DELETE
Delete an existing address. Deleting an address does not invalidate or remove the address from transactions or shipments that are associated with it.
Add a payment method POST
Add a payment method to a shopper's Bolt Account Wallet. For security purposes, this request must come from your backend. <br/> **Note**: Before using this API, the credit card details must be tokenized by Bolt's credit card tokenization service. Please review our [Bolt Payment Field Component](https://help.boltapp.com/products/ignite/api-implementation/#enhance-payments) or [Install the Bolt Tokenizer](https://help.boltapp.com/developers/references/bolt-tokenizer) documentation.